Skip to content

Get 'TenantInformationCollectionFile'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/communication/tenantinformation/tenantinformationcollectionfile/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/communication/tenantinformation/tenantinformationcollectionfile/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

collectionobject(TenantInformationCollection)required
file_objobjectrequired
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
display_namestring or null, <= 255 characters
display_priorityinteger, (int32), [ -2147483648 .. 2147483647 ]
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "collection": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "file_obj": { "name": "string", "md5_hash": "string", "get": "string", "post": { … } }, "display_name": "string", "display_priority": -2147483648 }